/**
 * web_networkcontroller_httppost.c: HTTPPost
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 */

#include <sstream>
#include "web_networkcontroller_httppost.h"
#include "config.h" // PLUGIN_NAME PLUGIN_VERSION

My_Web_HttpPostSocket::My_Web_HttpPostSocket( ISocketHandler& h,
		const std::string& url_in ) :
	HttpPostSocket( h, url_in )
{
}

std::string My_Web_HttpPostSocket::MyUseragent( )
{
	std::stringstream buff_stream;
	buff_stream << PLUGIN_NAME << "/"
			<< PLUGIN_VERSION;
	std::string buff;
	buff = buff_stream.str( );
	
	return buff;
}
